.TH ktzio n "Version 2.8.0" "Tina Tools"

.SH NAME
ktzio  \- conversion tool for transition systems

Part of Tina Toolbox for analysis of Petri nets and Time Petri nets
(see also nd, tina, plan, struct, ndrio, selt).

.SH SYNOPSIS

.B ktzio
[\-\f2h\f1elp] [\-i file]
.nf
ktzio [\-\f2h\f1elp] [\-KTZ | \-BCG | \-AUT]
      [\-\f2k\f1tz | \-bcg |\-\f2a\f1ut | \-mec | \-l | \-v | \-q]
      [\-sp n] [\-tp n] [\-wp n] [\-g] [-tina] [\-bf | \-df]
      [infile] [outfile]

.SH DESCRIPTION

ktzio converts kripke transition systems between several formats. 

The formats manipulated are the following:

.nf
name		file ext	description
.nf
------------------------------------------------------
.fi
.nf
ktz		.ktz		tina compact binary format
.fi
.nf
bcg		.bcg		CADP compact binary format
.fi
.nf
aut		.aut		CADP aldebaran format
.fi
.nf
mec		.mec		Mec4 model checker format
.fi
.nf
textual	.txt		textual descriptions, explained below


The conversions currently supported are the following:

.nf
from		to
.nf
------------------------------------------------------
.fi
.nf
ktz		ktz, aut, mec, bcg, textual
.fi
.nf
bcg		ktz, textual
.fi
.nf
aut		ktz, textual


.SH OPTIONS

.TP
\-\f2h\f1elp Recalls options.

.TP
Interactive mode:

.TP
\-i infile
Reads a kts from infile and prints its contents interactively, as
a list of state descriptions.

.TP
Input format flags:

.TP
\-KTZ | -BCG | -AUT
Specifies  the format  of the  input transition  system. This  flag is
necessary when the input transition  system is read on standard input,
or read from a file that does not bear the expected extension. Default
is -KTZ.

.TP
Output format flags:

.TP
\-ktz | -bcg | -aut | -mec | -l | -v | -q
Specifies the  format of  the output transition  system. This  flag is
necessary  when the output  transition system  is written  on standard
output,   or   in  a   file   that   does   not  bear   the   expected
extension.
Flags -l, -v, -q produce textual descriptions, as follows. Default is -l.

.fi
.nf
-l		ktzio -i style output (default)
.fi
.nf
-v		tina -v style output (only from ktz)
.fi
.nf
-q		tina -q style output (only from ktz)
.fi

.TP
Transition system generation options (see the tina page):

.TP
\-sp n: 
For ktz to ktz/aut/mec/bcg conversions.
Encoding  of  state  properties  in  output  transition  system  (when
information is present in the input system).
.nf
-sp 0 : no state properties (default for .aut, .bcg)
.fi
.nf
-sp 1 : boolean state properties (default for .mec)
.fi
.nf
-sp 2 : weighted state properties (default for .ktz)
.fi
.nf
-sp 3 : weighted state properties for all weights
.fi

.TP
\-tp n:
For ktz to ktz/aut/mec/bcg conversions.
Encoding of  transition properties  in output transition  system (when
information is present in the input system):
.fi
.nf
-tp 0 : no transition properties
.fi
.nf
-tp 1 : boolean transition properties (default for all formats)
.fi
.nf
-tp 2 : weighted transition properties (default for .ktz)
.fi
.nf
-tp 3 : weighted transition properties for all weights
.fi



.TP
\-wp n:
For ktz to ktz/aut/mec/bcg conversions.
Encoding of wait properties in output transition  system (when
information is present in the input system):
.fi
.nf
-wp 0 : no wait properties (default for .aut, .bcg, .mec)
.fi
.nf
-wp 1 : preserve wait properties (default for .ktz)
.fi

.TP
\-g
For ktz to ktz conversions. Removes liveness information if present.

.TP
\-tina
For .aut or .bcg input. Decodes properties assuming they were encoded
by tina. E.g. if the .aut file was generated by tina with flag -sp 2,
restores the state properties encoded in the file. If the input file
was not generated by tina, then the behavior is undefined.

.TP
\-df | \-bf
Tune up flag for bcg to ktz conversions. Default is -df.

.TP
Input source:

.TP
infile
Where the  kts is  read. The  input format is  determined by  the file
type, according to the table above. If absent or specified by "-", the
kts is  read on standard  input in the  format specified by  the input
flag. If  both an  infile and  some input flag  are present,  then the
format defined  by the  input flag supersedes  that determined  by the
infile extension.

.TP
Output destination:

.TP
outfile
Where results are written. The output format is determined by the file
type, according  to the  table above. If  absent or specified  by "-",
then results are written on standard output in the format specified by
the output flag. If both an  outfile and some output flag are present,
then the format defined by  the output flag supersedes that determined
by the outfile extension.


.SH FILES

Files aut.txt, bcg.txt, mec.txt,  ktz.txt in directory doc/formats specify
the syntax of .aut, .bcg,  .mec and .ktz transition system description
files, respectively.


.SH EXAMPLES

.fi
.nf
ktzio -i abp.ktz
.fi
.nf
ktzio -v abp.ktz
.fi
.nf
ktzio abp.ktz abp.aut
.fi
.nf
ktzio -AUT - abp.ktz < abp.aut
.fi
.nf
ktzio -AUT -ktz < abp.aut > abp.ktz
.fi
.nf
ktzio abp.bcg -ktz | ktzio -KTZ - abp.aut

Note: not all targets support  binary data on standard input
or output.

.SH SEE ALSO

nd, tina, plan, struct, ndrio, selt

.SH AUTHORS
Bernard Berthomieu, LAAS/CNRS, 2000-2005, Bernard.Berthomieu@laas.fr.

