.TH ndrio n "Version 2.8.0" "Tina Tools"

.SH NAME
ndrio  \- conversion tool for Petri nets and Time Petri nets

Part of Tina Toolbox for analysis of Petri nets and Time Petri nets
(see also nd, tina, plan, struct, ktzio, selt).

.SH SYNOPSIS

.B
ndrio [\-\f2h\f1elp] 
      [\-NET | \-NDR | \-PNML | \-TPN]
      [\-net | \-ndr | \-pnml | \-tpn]
      [\-graphplace | \-dot | \-neato | \-circo | \-textify]
      [infile] [outfile]

.SH DESCRIPTION

ndrio converts Petri nets and Time Petri nets between several, graphic
or textual, formats. ndrio handles delay intervals asociated with
transitions, and generalized inhibitor and read (test) arcs.
The formats manipulated are the following:

.nf
name		file ext	description
.nf
------------------------------------------------------
.fi
.nf
net		.net		tina textual format
.fi
.nf
ndr		.ndr		tina graphic format (produced by nd)
.fi
.nf
tpn		.tpn		tina textual scripts format
.fi
.nf
pnml		.pnml		Petri Net Markup Language format
				(with or without graphics)

.SH OPTIONS

.TP
\-\f2h\f1elp Recalls options.

.TP
Input format flags:

.TP
\-NET | -NDR | -PNML | -TPN
Specifies the format of the input net. This flag is necessary when the
input net is read on standard input, or read from a file that does not
bear the expected extension. Default is -NET.

.TP
Output format flags:

.TP
\-net | -ndr | -pnml | -tpn
Specifies the  format of the output  net. This flag  is necessary when
the output net  is written on standard output, or in  a file that does
not bear the expected extension.


.TP
Drawing options:

.TP
\-graphplace | -dot | -neato | -circo

Specify a placement filter for nodes. Necessary when converting from a
graphics-free format  into ndr.   Optional when converting  into .pnml
(graphics information is only  generated if some filter is specified).
When  converting  from  a   graphic  format,  the  original  placement
information is always retained, whatever the tool specified.

.TP
Textifying option:

.TP
\-textify

Removes any graphics information when converting from .pnml into .pnml.


.TP
Input source:

.TP
infile
Where the  net is  read. The  input format is  determined by  the file
type, according to the table above. If absent or specified by "-", the
net is  read on standard  input in the  format specified by  the input
flag. If  both an  infile and  some input flag  are present,  then the
format defined  by the  input flag supersedes  that determined  by the
infile extension.

.TP
Output destination:

.TP
outfile
Where the net is written. The output format is determined by the file
type, according  to the  table above. If  absent or specified  by "-",
then the net is written on standard output in the format specified by
the output flag. If both an  outfile and some output flag are present,
then the format defined by  the output flag supersedes that determined
by the outfile extension.


.SH FILES

Files net.txt, ndr.txt, tpn.txt, pnml.txt in directory doc/formats specify
the  syntax of  .net,  .ndr,  .tpn and  .pnml  net description  files,
respectively.


.SH EXAMPLES

.nf
ndrio abp.net abp.pnml
.fi
.nf
ndrio abp.ndr abp.net
.fi
.nf
ndrio -NDR -pnml -neato < abp.ndr > abp.pnml
.fi
.nf
ndrio abp.ndr -NET
.fi

.SH SEE ALSO

nd, tina, plan, struct, ktzio, selt

.SH AUTHORS
Bernard Berthomieu, Florent Peres, LAAS/CNRS, 2000-2005, {Bernard.Berthomieu|Florent.Peres}@laas.fr.

