.TH struct n "Version 2.8.0" "Tina Tools"

.SH NAME
struct \- Structural analysis tool

Part of Tina Toolbox for analysis of Petri nets and Time Petri nets
(see also nd, tina, plan, ndrio, ktzio, selt).

.SH SYNOPSIS

.B struct 
[\-\f2h\f1elp]
       [\-S | \-F] [\-I | \-Q] [\-P | \-T] [\-mp]
       [\-t s] [\-NET | \-NDR | \-PNML | \-TPN] [\-v | \-q] 
       [infile] [outfile]


.SH DESCRIPTION

struct computes  generator sets for  semiflows, or bases of  flows, on
places and transitions.  It takes as input descriptions of a Petri net
or Time Petri net in  textual (.net, .pnml, .tpn formats) or graphical
form (.ndr format of files produced by nd, .pnml with graphics).


.SH OPTIONS

.TP
\-\f2h\f1elp Recalls options.

.TP
Operating mode options:

.TP
\-P | -T
Computes semiflows or flows for places only (-P) or transitions only (-T).
In absence of either flag, computes them for both.

.TP
\-S | -F
Computes semiflow generator sets (-S) or flow bases (-F). If -S, also
computes the invariant and consistent properties.

.TP
\-I | -Q
Computes  semiflow   (resp.  flow   bases)  such  that   any  semiflow
(resp. flow)  is a  linear combination with  integer (-I)  or rational
(-Q) coefficients of those in basis (nongenative if -S, in addition).

.TP
\-mp
Use arbitrary precision arithmetics (struct will tell you if needed).

.TP
Stopping test and limits flags:

.TP
\-t n
Bound on duration of computation (none if n=0).

.TP
Output format selection :

.TP
\-v
textual output, prints full results.

.TP
\-q
textual output, prints a summary of results.

.TP
Input format flags:

.TP
\-NET | -NDR | -PNML | -TPN
Specifies the format of the input net. This flag is necessary when the
input net is read on standard input, or read from a file that does not
bear the expected extension. By default, the net is assumed in .net or
.ndr format.

.TP
Input source:

.TP
infile
Where the  net is  read. The  input format is  determined by  the file
type, according to the table below. If absent or specified by "-", the
net is  read on standard  input in the  format specified by  the input
flag. If  both an  infile and  some input flag  are present,  then the
format defined  by the  input flag supersedes  that determined  by the
infile extension.

.nf
file extension		input format
.fi
.nf
--------------------------------------------------------------
.fi
.nf
 .net			net format
.fi
.nf
 .ndr			ndr format
.fi
.nf
 .tpn			tpn format
.fi
.nf
 .pnml			pnml format

.TP
Output destination:

.TP
outfile
Where  results are  written.   If  absent or  specified  by "-",  then
results are written on standard output.

.TP
Default options are :

struct -t 0 -v





.SH FILES

Files net.txt, ndr.txt, tpn.txt,  TPN.rng in directory doc/formats specify
the  syntax of  .net,  .ndr,  .tpn and  .pnml  net description  files,
respectively.


.SH EXAMPLES

.nf
struct < nets/ifip.ndr > ifip.struct
.nf
.fi
struct -q nets/ifip.ndr ifip.struct
.fi


.SH SEE ALSO

nd, tina, plan, ndrio, ktzio, selt


.SH AUTHORS
Bernard Berthomieu, LAAS/CNRS, 2000-2005, Bernard.Berthomieu@laas.fr.

